Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

ksnip 1.6 from test repo does not run [SOLVED]

Report Bugs, Issues and non- package Requests
User avatar
penguin
Forum Regular
Forum Regular
Posts: 420
Joined: Wed Jan 04, 2017 3:15 pm

ksnip 1.6 from test repo does not run [SOLVED]

#1

Post by penguin » Mon Jun 10, 2019 1:55 pm

ksnip 1.6 from test repo does not run.
running in terminal shows the follow error.

Code: Select all

ksnip: error while loading shared libraries: libkImageAnnotator.so.0.1.0: cannot open shared object file: No such file or directory
Last edited by penguin on Mon Jun 10, 2019 3:11 pm, edited 1 time in total.

User avatar
mmikeinsantarosa
Developer
Posts: 2989
Joined: Thu May 01, 2014 10:12 am

Re: ksnip 1.6 test repo does not run

#2

Post by mmikeinsantarosa » Mon Jun 10, 2019 2:02 pm

penguin wrote:
Mon Jun 10, 2019 1:55 pm
ksnip 1.6 from test repo does not run.when run in terminal shows the follow error.

Code: Select all

ksnip: error while loading shared libraries: libkImageAnnotator.so.0.1.0: cannot open shared object file: No such file or directory
Anybody else seeing this?
I just installed using mxpi in a clean vm and it installed and runs AOK here (at work).
LT: MX18.2 Quad Core model: Intel Core i7-6820HQ Kernel: 5.0.0-7.1-liquorix-amd64 x86_64

User avatar
chrispop99
Global Moderator
Posts: 3108
Joined: Tue Jan 27, 2009 3:07 pm

Re: ksnip 1.6 from test repo does not run

#3

Post by chrispop99 » Mon Jun 10, 2019 2:03 pm

It runs fine here on a mature install.

Chris
Test machines:
32-bit non-PAE - Thinkpad T41, 1.6GHz Pentium M, 1GB RAM.
32-bit PAE - DELL Latitude D610, 1.73GHz Pentium M, 2GB RAM.
64-bit - Lenovo T61, 2GHz Core 2 Duo, 2GB RAM
64-bit - Gigabyte Z77P-D3, Intel i3-3220, GeForce 8400 GS, 4GB PC3-12800.

User avatar
timkb4cq
Developer
Posts: 5147
Joined: Wed Jul 12, 2006 4:05 pm

Re: ksnip 1.6 from test repo does not run

#4

Post by timkb4cq » Mon Jun 10, 2019 2:11 pm

libkimageannotator is a listed dependency of ksnip 1.6 so it should have been installed when you installed ksnip.
If you used the MX Package Installer to install ksnip, please post the contents of /var/log/mxpi.log so we can see what happened there.

If you did not use mxpi, let us know how you did install ksnip from Test.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
penguin
Forum Regular
Forum Regular
Posts: 420
Joined: Wed Jan 04, 2017 3:15 pm

Re: ksnip 1.6 from test repo does not run

#5

Post by penguin » Mon Jun 10, 2019 2:22 pm

As I remember I had ksnip before but a version 1.5 ( a deb found and installed from net because MX still has version 1.4 in Stable repo). Anyway. I updated to ksnip to version 1.6 from test repo and ksnip does not run > error from terminal mentioned above in my previous post. I removed this version and installed ksnip version 1.4 from stable which runs fine. Just as for another test, I re upgraded from to version 1.6 but still no luck. Version 1.6 does not run.
libkimageannotator version 0.0.2-1 is installed in my system.

Code: Select all

--2019-06-10 20:12:13--  http://mxrepo.com/mx/testrepo/dists/stretch/test/binary-amd64/Packages.gz
Resolving mxrepo.com (mxrepo.com)... 70.40.214.183
Connecting to mxrepo.com (mxrepo.com)|70.40.214.183|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 944513 (922K) [application/x-gzip]
Saving to: ‘mxPackages.gz’

     0K .......... .......... .......... .......... ..........  5%  115K 8s
    50K .......... .......... .......... .......... .......... 10%  267K 5s
   100K .......... .......... .......... .......... .......... 16%  714K 4s
   150K .......... .......... .......... .......... .......... 21% 1.76M 3s
   200K .......... .......... .......... .......... .......... 27%  283K 2s
   250K .......... .......... .......... .......... .......... 32%  794K 2s
   300K .......... .......... .......... .......... .......... 37% 1.07M 2s
   350K .......... .......... .......... .......... .......... 43%  421K 1s
   400K .......... .......... .......... .......... .......... 48%  542K 1s
   450K .......... .......... .......... .......... .......... 54% 1015K 1s
   500K .......... .......... .......... .......... .......... 59%  556K 1s
   550K .......... .......... .......... .......... .......... 65%  520K 1s
   600K .......... .......... .......... .......... .......... 70%  785K 1s
   650K .......... .......... .......... .......... .......... 75%  812K 1s
   700K .......... .......... .......... .......... .......... 81%  302K 0s
   750K .......... .......... .......... .......... .......... 86% 1.88M 0s
   800K .......... .......... .......... .......... .......... 92% 1.50M 0s
   850K .......... .......... .......... .......... .......... 97%  346K 0s
   900K .......... .......... ..                              100%  551K=2.0s

2019-06-10 20:12:15 (464 KB/s) - ‘mxPackages.gz’ saved [944513/944513]

Hit:1 http://it.mxrepo.com/antix/stretch stretch InRelease
Hit:2 http://it.mxrepo.com/mx/repo stretch InRelease
Get:3 http://it.mxrepo.com/mx/testrepo stretch InRelease [4,979 B]
Hit:4 http://security.debian.org stretch/updates InRelease
Hit:5 https://deb.opera.com/opera-stable stable InRelease
Hit:6 https://repo.skype.com/deb stable InRelease
Hit:7 https://download.mono-project.com/repo/debian stable-stretch InRelease
Get:8 http://it.mxrepo.com/mx/testrepo stretch/test amd64 Packages [945 kB]
Hit:9 http://ftp.bg.debian.org/debian stretch-updates InRelease
Ign:10 http://ftp.bg.debian.org/debian stretch InRelease
Hit:11 http://ftp.bg.debian.org/debian stretch Release
Get:13 http://it.mxrepo.com/mx/testrepo stretch/test i386 Packages [939 kB]
Fetched 1,889 kB in 3s (624 kB/s)
Reading package lists...
sources updated OK
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  libmuparser2v5 qml-module-qtgraphicaleffects qml-module-qtquick-controls
  qml-module-qtquick-layouts qml-module-qtquick-window2
Use 'apt autoremove' to remove them.
The following packages will be upgraded:
  ksnip
1 upgraded, 0 newly installed, 0 to remove and 171 not upgraded.
Need to get 0 B/156 kB of archives.
After this operation, 176 kB of additional disk space will be used.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 478472 files and directories currently installed.)
Preparing to unpack .../ksnip_1.6.0-1mx17+1_amd64.deb ...
Unpacking ksnip (1.6.0-1mx17+1) over (1.4.0-1mx17+1) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for desktop-file-utils (0.23-1) ...
Processing triggers for bamfdaemon (0.5.3-2) ...
Rebuilding /usr/share/applications/bamf-2.index...
Setting up ksnip (1.6.0-1mx17+1) ...
Processing triggers for gnome-menus (3.13.3-9) ...
Hit:1 http://security.debian.org stretch/updates InRelease
Hit:2 http://it.mxrepo.com/antix/stretch stretch InRelease
Hit:3 http://ftp.bg.debian.org/debian stretch-updates InRelease
Hit:4 http://it.mxrepo.com/mx/repo stretch InRelease
Hit:5 https://repo.skype.com/deb stable InRelease
Ign:6 http://ftp.bg.debian.org/debian stretch InRelease
Hit:7 https://deb.opera.com/opera-stable stable InRelease
Hit:8 https://download.mono-project.com/repo/debian stable-stretch InRelease
Hit:9 http://ftp.bg.debian.org/debian stretch Release
Reading package lists...
sources updated OK

User avatar
penguin
Forum Regular
Forum Regular
Posts: 420
Joined: Wed Jan 04, 2017 3:15 pm

Re: ksnip 1.6 from test repo does not run

#6

Post by penguin » Mon Jun 10, 2019 2:23 pm

chrispop99 wrote:
Mon Jun 10, 2019 2:03 pm
It runs fine here on a mature install.

Chris
Sorry Chris, because I am not native speaker. What means mature install ?

Investigating in Synaptic for kImageAnnotator > said....

Code: Select all

kImageAnnotator depends on kColorPicker which needs to
be installed before building kImageAnnotator.
Has any connection with this ? I have no kColorPicker installed in my MX.

User avatar
mmikeinsantarosa
Developer
Posts: 2989
Joined: Thu May 01, 2014 10:12 am

Re: ksnip 1.6 from test repo does not run

#7

Post by mmikeinsantarosa » Mon Jun 10, 2019 2:44 pm

penguin,
Somehow you got the primary package without also getting its colorpicker and annotator dependencies. Could you try installing again from mx package installer after selecting the test repo tab?

See if that picks up the missing parts.

- mike
LT: MX18.2 Quad Core model: Intel Core i7-6820HQ Kernel: 5.0.0-7.1-liquorix-amd64 x86_64

User avatar
timkb4cq
Developer
Posts: 5147
Joined: Wed Jul 12, 2006 4:05 pm

Re: ksnip 1.6 from test repo does not run

#8

Post by timkb4cq » Mon Jun 10, 2019 2:56 pm

penguin wrote:
Mon Jun 10, 2019 2:22 pm
libkimageannotator version 0.0.2-1 is installed in my system.
Aha!
Because the libkimageannotator dependency in ksnip_1.6 was not versioned, the older library version was not upgraded.
If you go back to the Test repo in mxpi, uncheck the Hide library & development packages box & upgrade libkimageannotator then ksnip_1.6 will work.

And we'll need to version that dependency so it doesn't happen again.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
penguin
Forum Regular
Forum Regular
Posts: 420
Joined: Wed Jan 04, 2017 3:15 pm

Re: ksnip 1.6 from test repo does not run

#9

Post by penguin » Mon Jun 10, 2019 3:09 pm

timkb4cq wrote:
Mon Jun 10, 2019 2:56 pm
penguin wrote:
Mon Jun 10, 2019 2:22 pm
libkimageannotator version 0.0.2-1 is installed in my system.
Aha!
Because the libkimageannotator dependency in ksnip_1.6 was not versioned, the older library version was not upgraded.
If you go back to the Test repo in mxpi, uncheck the Hide library & development packages box & upgrade libkimageannotator then ksnip_1.6 will work.

And we'll need to version that dependency so it doesn't happen again.
Yep ! Done !
Can developer include automatically upgrading of libkimageannotator within install package of ksnip 1.6 ? So others will not have the same problem ?

User avatar
Stevo
Developer
Posts: 20172
Joined: Fri Dec 15, 2006 8:07 pm

Re: ksnip 1.6 from test repo does not run [SOLVED]

#10

Post by Stevo » Mon Jun 10, 2019 4:01 pm

Yes, since the build process did not automatically add the dependency for the newer library version, the packager can manually add it to the "Depends:" field in debian/control, then rebuild. They can update the "Qt 4.8" part in the description, too, that's another minor bug.
l
Ksnip is a Qt 4.8 based Linux screenshot tool inspired by the
Windows Snipping Tool.
Last edited by Stevo on Mon Jun 10, 2019 4:21 pm, edited 1 time in total.

Post Reply

Return to “Bugs and Non-Package Requests Forum”